Subject: Re: Identifying meeting attendees

From: Alexey Melnikov <[email-masked]>
Date: Mon, 09 Apr 2007 19:15:57 +0100

Ole Jacobsen wrote:

>John,
>
>Sorry, I wasn't suggesting we use a Wiki, and I should have pointed to 
>just the Photo Gallery:
>
>http://icannwiki.org/Picture_Gallery
>
>... which looks useful. We certainly don't need bios, caricatures or 
>anything else. Remember the USENIX Facesaver project? Anyway, it's the 
>general idea I am after, not the ICANN Wiki implementation.
>  
>
I agree that having a photo gallery would be useful.

On a somewhat related note: I think nomcom feedback should also contain 
pictures of candidates, when available.
Personally, I am much better remembering faces than names, so having a 
picture would help people like me to identify candidates.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf